@fako20165 Hello, we support Android 6 or higher, you will not be able to download Windy on 4.2.2.